Bug 11716 - Error loading module in sernet samba 4.2.8 after upgrade
Error loading module in sernet samba 4.2.8 after upgrade
Status: NEW
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.2.8
All All
: P5 major
: ---
Assigned To: Samba QA Contact
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 12:17 UTC by Jorge Bueno
Modified: 2016-06-19 10:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jorge Bueno 2016-02-05 12:17:23 UTC
Hi,

I have upgrade sernet samba to version 4.2.8 in debian jessie this morning and I am having problems running the service because of an error loading a module.

"Error loading module '/usr/lib/x86_64-linux-gnu/samba/vfs/streams_xattr.so': /usr/lib/x86_64-linux-gnu/samba/libsmbregistry-samba4.so: version `SAMBA_4.2.8_SERNET_DEBIAN_8.JESSIE' not found (required by /usr/lib/x86_64-linux-gnu/samba/vfs/streams_xattr.so"

Regards,
Comment 1 Casey 2016-06-19 10:52:28 UTC
Hello:

Confirmed for me also [edit, reboot fixed it!?!]  I'm Running smbd version 4.2.8-SerNet-Debian-8.jessie

In the log for the client computer trying to connect I see:

[2016/06/19 10:28:27.647913,  0] ../lib/util/modules.c:48(load_module)
  Error loading module '/usr/lib/x86_64-linux-gnu/samba/vfs/streams_xattr.so': /usr/lib/x86_64-linux-gnu/samba/libsamba-debug-samba4.so: version `SAMBA_4.2.13_SERNET_DEBIAN_10.JESSIE' not found (required by /usr/lib/x86_64-linux-gnu/samba/vfs/streams_xattr.so)
[2016/06/19 10:28:27.647983,  0] ../source3/smbd/vfs.c:184(vfs_init_custom)
  error probing vfs module 'streams_xattr': NT_STATUS_UNSUCCESSFUL
[2016/06/19 10:28:27.648006,  0] ../source3/smbd/vfs.c:349(smbd_vfs_init)
  smbd_vfs_init: vfs_init_custom failed for streams_xattr
[2016/06/19 10:28:27.648021,  0] ../source3/smbd/service.c:642(make_connection_snum)
  vfs_init failed for service smb-test


HOWEVER, a reboot seems to have cured the problem.